Subject: bug#56800: Pointless "Warning: desktop file appears to be in use by PID ###."

From: Paul Pogonyshev <[email-masked]>
Date: Wed, 27 Jul 2022 18:58:36 +0200

No, but I have tried now. I guess I understand the default behavior better
now (even if I don't find it generally useful enough to be the default; how
many users really have remotely mounted paths in `desktop-dirname'?).

But why does even cleanly exiting Emacs leave desktop file "apparently
used"?

Paul

On Wed, 27 Jul 2022 at 18:50, Eli Zaretskii <[email-masked]> wrote:

> > From: Paul Pogonyshev <[email-masked]>
> > Date: Wed, 27 Jul 2022 18:25:24 +0200
> >
> > The code in `desktop.el' should really check if the process with that
> PID still exists before claiming that it
> > might be using the desktop file somehow.
>
> AFAIU, you should be able to have that if you customize
> desktop-load-locked-desktop to give it the value 'check-pid'.  Did you
> try that?
>